Bug 983653 (CVE-2013-4115) - CVE-2013-4115 squid: buffer overflow when processing overly long DNS names (SQUID-2013:2)
Summary: CVE-2013-4115 squid: buffer overflow when processing overly long DNS names (S...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4115
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130710,reported=2...
Depends On: 983662 983663 1134936 1134937 1134976 1134977
Blocks: 983666
TreeView+ depends on / blocked
 
Reported: 2013-07-11 15:54 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:38 UTC (History)
6 users (show)

Fixed In Version: Squid 3.2.12, Squid 3.3.7
Doc Type: Bug Fix
Doc Text:
A buffer overflow flaw was found in Squid's DNS lookup module. A remote attacker able to send HTTP requests to the Squid proxy could use this flaw to crash Squid.
Clone Of:
Environment:
Last Closed: 2014-09-03 23:24:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1148 normal SHIPPED_LIVE Important: squid security update 2014-09-03 21:43:04 UTC

Description Jan Lieskovsky 2013-07-11 15:54:45 UTC
A buffer overflow flaw was found in the way internal DNS name lookup module of Squid, a proxy caching server, used to perform DNS lookup for overly long DNS names. A trusted Squid client or client script, able to generate HTTP requests, could use this flaw to terminate the Squid service (denial of service).

External References:

http://www.squid-cache.org/Advisories/SQUID-2013_2.txt

Comment 1 Jan Lieskovsky 2013-07-11 16:13:00 UTC
This issue affects the versions of the squid package, as shipped with Fedora release of 17, 18, and 19. Please schedule an update.

Comment 4 Jan Lieskovsky 2013-07-11 16:14:59 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 983663]

Comment 6 Jan Lieskovsky 2013-07-11 16:22:30 UTC
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/07/11/2

Comment 7 Jan Lieskovsky 2013-07-12 09:07:04 UTC
The CVE identifier of CVE-2013-4115 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/07/11/8

Comment 8 Fedora Update System 2013-08-02 21:49:22 UTC
squid-3.2.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-08-02 21:53:11 UTC
squid-3.2.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Stefan Cornelius 2013-08-05 15:54:00 UTC
Statement:

(none)

Comment 14 Martin Prpič 2014-09-03 08:28:35 UTC
IssueDescription:

A buffer overflow flaw was found in Squid's DNS lookup module. A remote attacker able to send HTTP requests to the Squid proxy could use this flaw to crash Squid.

Comment 15 errata-xmlrpc 2014-09-03 17:43:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:1148 https://rhn.redhat.com/errata/RHSA-2014-1148.html


Note You need to log in before you can comment on or make changes to this bug.